pcl::ShapeContext1980 Struct Reference
Module common

A point structure representing a Shape Context. More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | descriptor [1980]
float | rf [9]

## Friends

std::ostream & | operator<< (std::ostream &os, const ShapeContext1980 &p)

## Detailed Description

A point structure representing a Shape Context.

Definition at line 1191 of file point_types.hpp.

## Member Function Documentation

static int pcl::ShapeContext1980::descriptorSize | ( |  | ) |

inline static

Definition at line 1195 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ShapeContext1980 & | p
| ) |  |

friend

## Member Data Documentation

float pcl::ShapeContext1980::descriptor[1980]

Definition at line 1193 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< ShapeContext1980 >::copyToFloatArray().

float pcl::ShapeContext1980::rf[9]

Definition at line 1194 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp